error with phpmyadmin



  • Hello I have installed mysql-server on my omega2+ with nginx ang php7. The install is OK but I want install phpmyadmin for manage my database but I Have this error.

    Warning in ./libraries/dbi/DBIMysqli.php#556
    mysqli_real_escape_string() expects parameter 1 to be mysqli, boolean given

    Backtrace

    ./libraries/dbi/DBIMysqli.php#556: mysqli_real_escape_string(
    boolean false,
    string '',
    )
    ./libraries/DatabaseInterface.php#2731: PMA\libraries\dbi\DBIMysqli->escapeString(
    boolean false,
    string '
    ',
    )
    ./libraries/navigation/nodes/Node.php#449: PMA\libraries\DatabaseInterface->escapeString(string '_')
    ./libraries/navigation/NavigationTree.php#288: PMA\libraries\navigation\nodes\Node->getData(
    string 'databases',
    integer 0,
    string '',
    )
    ./libraries/navigation/NavigationTree.php#847: PMA\libraries\navigation\NavigationTree->_buildPath()
    ./libraries/navigation/Navigation.php#45: PMA\libraries\navigation\NavigationTree->renderState()
    ./libraries/Header.php#433: PMA\libraries\navigation\Navigation->getDisplay()
    ./libraries/Response.php#260: PMA\libraries\Header->getDisplay()
    ./libraries/Response.php#273: PMA\libraries\Response->_getDisplay()
    ./libraries/Response.php#432: PMA\libraries\Response->_htmlResponse()
    PMA\libraries\Response->response()

    please HELP me.



  • Please anyone have an idea ??? ??? ??? I'm blocked for create the table in my database.
    The compmunication between php and mysql is good because the authentification is good, the password define in mysql is reconized.



  • It seems that phpMyAdmin cannot connect to your database (that's why mysqli_real_escape_string is given a boolean argument) - did you check your connection credentials?

    Edit: I overlooked your second post. When the error is raised and how do you know the authentication does not fail?



  • Hello, Php and mysql communicate correctly because when connecting to phpmyadmin, if I put a password other than the one defined, I end up with an error of type: incorrect password. It is once connected that the error occurs.



  • Try to install php 5 instead of the newest one, it should solve the problem.



  • It's not possible to find php5 because it's not available with mipsel-24kc architectur.



  • You can always compile it by yourself :P
    Other that that, I have no idea.



  • Have you checked version of MYSQL and PHPadmin. MYSQL 5.1.73-2 in the dist-feeds may only play nicely with PHPadmin 4.0.10.20